<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>TODO supply a title</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </head>
    <body>
        <div>
            Dividend: <input type="text" id="dividend"><br>
            Divisor: <input type="text" id="divisor"><br>
            <input type="button" id="button" value="Calculate"><br>
            Division result: <input type="text" id="result"><br>
            Remainder: <input type="text" id="remainder"><br>
        </div>
        <script>
            function assignEvents(e) {
                document.getElementById("button").addEventListener("click", division);
            }
            function division() {
                var dividend = parseInt(document.getElementById("dividend").value);
                var divisor = parseInt(document.getElementById("divisor").value);
                var counter = 0;
                calculateDivision(dividend, divisor);
                function calculateDivision(dividend, divisor) {
                    counter++;
                    if ((dividend - divisor >= divisor)) {
                        var dividend = dividend - divisor;
                        calculateDivision(dividend, divisor);
                    } else {
                        document.getElementById("result").value = counter;
                        document.getElementById("remainder").value = (dividend - divisor);
                    }
                }
            }
            document.addEventListener("DOMContentLoaded", assignEvents);
        </script>
    </body>
</html>
